HTMLIFrameElementImpl (Other Classes)
Date: 2016-02-19

org.apache.html.dom

## Class HTMLIFrameElementImpl

- java.lang.Object
- - org.apache.xerces.dom.NodeImpl
  - - org.apache.xerces.dom.ChildNode
    - - org.apache.xerces.dom.ParentNode
      - - org.apache.xerces.dom.ElementImpl
        - - org.apache.html.dom.HTMLElementImpl
          - - org.apache.html.dom.HTMLIFrameElementImpl

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, org.w3c.dom.Element, org.w3c.dom.ElementTraversal, org.w3c.dom.events.EventTarget, org.w3c.dom.html.HTMLElement, org.w3c.dom.html.HTMLIFrameElement, org.w3c.dom.Node, org.w3c.dom.NodeList, org.w3c.dom.TypeInfo

      public class HTMLIFrameElementImpl
      extends HTMLElementImpl
      implements org.w3c.dom.html.HTMLIFrameElement

  Version:
    $Revision: 1029415 $ $Date: 2010-10-31 13:02:22 -0400 (Sun, 31 Oct 2010) $
  Author:
    Assaf Arkin
  See Also:
    `HTMLIFrameElement`, `ElementImpl`, Serialized Form

  # INTERNAL:

    Usage of this class is not supported. It may be altered or removed at any time.

- - ### Field Summary

    - ### Fields inherited from class org.apache.xerces.dom.ElementImpl

      `attributes, name`

    - ### Fields inherited from class org.apache.xerces.dom.ParentNode

      `firstChild, fNodeListCache, ownerDocument`

    - ### Fields inherited from class org.apache.xerces.dom.ChildNode

      `nextSibling, previousSibling`

    - ### Fields inherited from class org.apache.xerces.dom.NodeImpl

      `DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_IS_CONTAINED, DOCUMENT_POSITION_PRECEDING, ELEMENT_DEFINITION_NODE, FIRSTCHILD, flags, HASSTRING, ID, IGNORABLEWS, NORMALIZED, OWNED, ownerNode, READONLY, SPECIFIED, SYNCCHILDREN, SYNCDATA, TREE_POSITION_ANCESTOR, TREE_POSITION_DESCENDANT, TREE_POSITION_DISCONNECTED, TREE_POSITION_EQUIVALENT, TREE_POSITION_FOLLOWING, TREE_POSITION_PRECEDING, TREE_POSITION_SAME_NODE`

    - ### Fields inherited from interface org.w3c.dom.Node

      `ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

    - ### Fields inherited from interface org.w3c.dom.TypeInfo

      `DERIVATION_EXTENSION, DERIVATION_LIST, DERIVATION_RESTRICTION, DERIVATION_UNION`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HTMLIFrameElementImpl(HTMLDocumentImpl owner, java.lang.String name)` Constructor requires owner document.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getAlign()` Aligns this object (vertically or horizontally) with respect to its surrounding text.
    `java.lang.String` | `getFrameBorder()` Request frame borders.
    `java.lang.String` | `getHeight()` Frame height.
    `java.lang.String` | `getLongDesc()` URI designating a long description of this image or frame.
    `java.lang.String` | `getMarginHeight()` Frame margin height, in pixels.
    `java.lang.String` | `getMarginWidth()` Frame margin width, in pixels.
    `java.lang.String` | `getName()` The frame name (object of the `target` attribute).
    `java.lang.String` | `getScrolling()` Specify whether or not the frame should have scrollbars.
    `java.lang.String` | `getSrc()` A URI designating the initial frame contents.
    `java.lang.String` | `getWidth()` Frame width.
    `void` | `setAlign(java.lang.String align)`
    `void` | `setFrameBorder(java.lang.String frameBorder)`
    `void` | `setHeight(java.lang.String height)`
    `void` | `setLongDesc(java.lang.String longDesc)`
    `void` | `setMarginHeight(java.lang.String marginHeight)`
    `void` | `setMarginWidth(java.lang.String marginWidth)`
    `void` | `setName(java.lang.String name)`
    `void` | `setScrolling(java.lang.String scrolling)`
    `void` | `setSrc(java.lang.String src)`
    `void` | `setWidth(java.lang.String width)`

    - ### Methods inherited from class org.apache.html.dom.HTMLElementImpl

      `getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getClassName, getContentDocument, getDir, getElementsByTagName, getElementsByTagNameNS, getForm, getId, getLang, getTitle, setClassName, setDir, setId, setLang, setTitle`

    - ### Methods inherited from class org.apache.xerces.dom.ElementImpl

      `cloneNode, getAttributes, getBaseURI, getChildElementCount, getDefaultAttributes, getFirstElementChild, getLastElementChild, getNextElementSibling, getNodeName, getNodeType, getPreviousElementSibling, getSchemaTypeInfo, getTagName, getTypeName, getTypeNamespace, getXercesAttribute, getXMLBaseAttribute, hasAttribute, hasAttributeNS, hasAttributes, isDerivedFrom, isEqualNode, normalize, reconcileDefaultAttributes, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setIdAttribute, setIdAttributeNode, setIdAttributeNS, setOwnerDocument, setReadOnly, setupDefaultAttributes, setXercesAttributeNode, synchronizeData`

    - ### Methods inherited from class org.apache.xerces.dom.ParentNode

      `getChildNodes, getChildNodesUnoptimized, getFirstChild, getLastChild, getLength, getOwnerDocument, getTextContent, hasChildNodes, insertBefore, item, removeChild, replaceChild, setTextContent, synchronizeChildren`

    - ### Methods inherited from class org.apache.xerces.dom.ChildNode

      `getNextSibling, getParentNode, getPreviousSibling`

    - ### Methods inherited from class org.apache.xerces.dom.NodeImpl

      `addEventListener, appendChild, changed, changes, compareDocumentPosition, compareTreePosition, dispatchEvent, getContainer, getFeature, getLocalName, getNamespaceURI, getNodeNumber, getNodeValue, getPrefix, getReadOnly, getUserData, getUserData, getUserDataRecord, isDefaultNamespace, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, needsSyncChildren, removeEventListener, setNodeValue, setPrefix, setUserData, setUserData, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.w3c.dom.html.HTMLElement

      `getClassName, getDir, getId, getLang, getTitle, setClassName, setDir, setId, setLang, setTitle`

    - ### Methods inherited from interface org.w3c.dom.Element

      `getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getElementsByTagName, getElementsByTagNameNS, getSchemaTypeInfo, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setIdAttribute, setIdAttributeNode, setIdAttributeNS`

    - ### Methods inherited from interface org.w3c.dom.Node

      `appendChild, cloneNode, compareDocumentPosition, getAttributes, getBaseURI, getChildNodes, getFeature, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getTextContent, getUserData, hasAttributes, hasChildNodes, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, normalize, removeChild, replaceChild, setNodeValue, setPrefix, setTextContent, setUserData`

- - ### Constructor Detail

    - #### HTMLIFrameElementImpl

          public HTMLIFrameElementImpl(HTMLDocumentImpl owner,
                               java.lang.String name)

      Constructor requires owner document.
      Parameters:
        `owner` - The owner HTML document

  - ### Method Detail

    - #### getAlign

          public java.lang.String getAlign()

      Description copied from interface: `org.w3c.dom.html.HTMLIFrameElement`
      Aligns this object (vertically or horizontally) with respect to its surrounding text. See the align attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0.
      Specified by:
        `getAlign` in interface `org.w3c.dom.html.HTMLIFrameElement`

    - #### setAlign

          public void setAlign(java.lang.String align)

      Specified by:
        `setAlign` in interface `org.w3c.dom.html.HTMLIFrameElement`

    - #### getFrameBorder

          public java.lang.String getFrameBorder()

      Description copied from interface: `org.w3c.dom.html.HTMLIFrameElement`
      Request frame borders. See the frameborder attribute definition in HTML 4.0.
      Specified by:
        `getFrameBorder` in interface `org.w3c.dom.html.HTMLIFrameElement`

    - #### setFrameBorder

          public void setFrameBorder(java.lang.String frameBorder)

      Specified by:
        `setFrameBorder` in interface `org.w3c.dom.html.HTMLIFrameElement`

    - #### getHeight

          public java.lang.String getHeight()

      Description copied from interface: `org.w3c.dom.html.HTMLIFrameElement`
      Frame height. See the height attribute definition in HTML 4.0.
      Specified by:
        `getHeight` in interface `org.w3c.dom.html.HTMLIFrameElement`

    - #### setHeight

          public void setHeight(java.lang.String height)

      Specified by:
        `setHeight` in interface `org.w3c.dom.html.HTMLIFrameElement`

    - #### getLongDesc

          public java.lang.String getLongDesc()

      Description copied from interface: `org.w3c.dom.html.HTMLIFrameElement`
      URI designating a long description of this image or frame. See the longdesc attribute definition in HTML 4.0.
      Specified by:
        `getLongDesc` in interface `org.w3c.dom.html.HTMLIFrameElement`

    - #### setLongDesc

          public void setLongDesc(java.lang.String longDesc)

      Specified by:
        `setLongDesc` in interface `org.w3c.dom.html.HTMLIFrameElement`

    - #### getMarginHeight

          public java.lang.String getMarginHeight()

      Description copied from interface: `org.w3c.dom.html.HTMLIFrameElement`
      Frame margin height, in pixels. See the marginheight attribute definition in HTML 4.0.
      Specified by:
        `getMarginHeight` in interface `org.w3c.dom.html.HTMLIFrameElement`

    - #### setMarginHeight

          public void setMarginHeight(java.lang.String marginHeight)

      Specified by:
        `setMarginHeight` in interface `org.w3c.dom.html.HTMLIFrameElement`

    - #### getMarginWidth

          public java.lang.String getMarginWidth()

      Description copied from interface: `org.w3c.dom.html.HTMLIFrameElement`
      Frame margin width, in pixels. See the marginwidth attribute definition in HTML 4.0.
      Specified by:
        `getMarginWidth` in interface `org.w3c.dom.html.HTMLIFrameElement`

    - #### setMarginWidth

          public void setMarginWidth(java.lang.String marginWidth)

      Specified by:
        `setMarginWidth` in interface `org.w3c.dom.html.HTMLIFrameElement`

    - #### getName

          public java.lang.String getName()

      Description copied from interface: `org.w3c.dom.html.HTMLIFrameElement`
      The frame name (object of the `target` attribute). See the name attribute definition in HTML 4.0.
      Specified by:
        `getName` in interface `org.w3c.dom.html.HTMLIFrameElement`

    - #### setName

          public void setName(java.lang.String name)

      Specified by:
        `setName` in interface `org.w3c.dom.html.HTMLIFrameElement`

    - #### getScrolling

          public java.lang.String getScrolling()

      Description copied from interface: `org.w3c.dom.html.HTMLIFrameElement`
      Specify whether or not the frame should have scrollbars. See the scrolling attribute definition in HTML 4.0.
      Specified by:
        `getScrolling` in interface `org.w3c.dom.html.HTMLIFrameElement`

    - #### setScrolling

          public void setScrolling(java.lang.String scrolling)

      Specified by:
        `setScrolling` in interface `org.w3c.dom.html.HTMLIFrameElement`

    - #### getSrc

          public java.lang.String getSrc()

      Description copied from interface: `org.w3c.dom.html.HTMLIFrameElement`
      A URI designating the initial frame contents. See the src attribute definition in HTML 4.0.
      Specified by:
        `getSrc` in interface `org.w3c.dom.html.HTMLIFrameElement`

    - #### setSrc

          public void setSrc(java.lang.String src)

      Specified by:
        `setSrc` in interface `org.w3c.dom.html.HTMLIFrameElement`

    - #### getWidth

          public java.lang.String getWidth()

      Description copied from interface: `org.w3c.dom.html.HTMLIFrameElement`
      Frame width. See the width attribute definition in HTML 4.0.
      Specified by:
        `getWidth` in interface `org.w3c.dom.html.HTMLIFrameElement`

    - #### setWidth

          public void setWidth(java.lang.String width)

      Specified by:
        `setWidth` in interface `org.w3c.dom.html.HTMLIFrameElement`

Copyright © 1999-2010 The Apache Software Foundation. All Rights Reserved.